<?php

namespace Modules\Travel\Http\Enums;

enum ModeOfTransportationEnum: string {
    case BUS    = 'Bus';
    case TRAIN  = 'Train';
    case FLIGHT = 'Flight';
    case TAXI   = 'Taxi';
    case AUTO   = 'Auto';

    public static function toArray(): array {
        return array_column(self::cases(), 'value', 'value');
    }
}
